Doomsday Engine - Bug #2140

Unnecessary warning about MD2 model not having any skins
2015-12-09 20:37 - skyjake

Status: Closed Start date: 2015-12-09
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.15.7

Description

When an MD2 model does not specify any skins, but its DED definition uses "Skin file", a warning gets printed in defineAllSkins()
before "Skin file" is checked.

Discussion: http://dengine.net/forums/viewtopic.php?f=16&t=2138&p=14378

Associated revisions

Revision 09945a34 - 2015-12-26 14:35 - skyjake

Resources|Models|Client: Removed a warning about model skins

The warning was converted to a regular log entry, because at this time
we haven't yet checked if DEDs specify a custom skin for the model.

Fixes #2140
Revision 50af928f - 2015-12-26 14:54 - skyjake
Resources|Models|Client: Removed a warning about model skins

The warning was converted to a regular log entry, because at this time
we haven't yet checked if DEDs specify a custom skin for the model.

Fixes #2140

History

#1 - 2015-12-09 20:38 - skyjake

- Description updated

#2 - 2015-12-09 20:39 - skyjake

- Target version set to 1.15.7

#3 - 2015-12-26 15:26 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset github|09945a34006be9adabff90fc98b4bdc01ed96384.

#4 - 2015-12-26 15:35 - skyjake

- Assignee set to skyjake

#5 - 2015-12-26 15:37 - skyjake

- Status changed from Resolved to Closed
